Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.car
Class Path

    java.lang.Object
      org.jasig.portal.car.Path

    public class Path

extends java.lang.Object

Holds onto a set of String path elements to assist with tracking where in an XML structure SAX processing is currently working. So an XML structure like the following would have a path of "", "", "" when SAX processing issued a startElement event call for the "more" element. `<top> <next> <more> ...` Use the fromXML method to create from a more visually symbolic view of what the path represents.

Field Summary
`private static int` | `IN_TAG`
`private java.util.LinkedList` | `list`
`private static int` | `OUT_OF_TAG`
`static java.lang.String` | `RCS_ID`

Constructor Summary
`Path()` Create a new empty path.

Method Summary
`Path` | `append(java.lang.String item)` Add an item to the path.
`boolean` | `equals(java.lang.Object o)` Returns true if the passed in object is a path with the same number of path items and all strings in the two paths are equal.
`static Path` | `fromTag(java.lang.String tagName)`
`static Path` | `fromXML(java.lang.String xmlPath)` Creates a Path from the XML structured snippet.
`java.lang.String` | `removeLast()` Remove the last item off of the path.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

See Also:
  Constant Field Values

### list

    private java.util.LinkedList list

### OUT_OF_TAG

    private static final int OUT_OF_TAG

See Also:
  Constant Field Values

### IN_TAG

    private static final int IN_TAG

See Also:
  Constant Field Values

Constructor Detail

### Path

    public Path()

  Create a new empty path.

Method Detail

### fromTag

    public static Path fromTag(java.lang.String tagName)

### fromXML

    public static Path fromXML(java.lang.String xmlPath)

  Creates a Path from the XML structured snippet. The following call would create a path that contained "top", "next", and "more" in that order.

### append

    public Path append(java.lang.String item)

  Add an item to the path.

### removeLast

    public java.lang.String removeLast()

  Remove the last item off of the path.

### equals

    public boolean equals(java.lang.Object o)

  Returns true if the passed in object is a path with the same number of path items and all strings in the two paths are equal.

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD